Skip to main content
Back to API List Use this API to delete a specific contact by ID.
MethodDELETE
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/{{id}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeConfiguration

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required
idThe unique identifier of the contact.string, required

Sample Request

curl --location --request DELETE 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/{{id}} \
--header 'Content-Type: application/json' \
--header 'accountId: {{accountId}}' \
--header 'auth: {{jwt_token}}'

Request Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.required
accountIdThe account ID associated with the API request.required
Content-TypeThe format in which the request payload is sent to the server. Example: application/jsonrequired

Sample Response

{
    "firstName": "john",
    "lastName": "doe",
    "fullName": "john doe",
    "salutation": "mr",
    "cellPhone": {
        "extension": "+",
        "phoneNumber": "+9124456xxxxx",
        "countryCode": "+91"
    },
    "status": "INACTIVE",
    "instanceBotId": "st-7dc994f0-4436-5134-9fa8-a942625xxxxx",
    "orgId": "o-16ff21d2-5d27-5fb2-b9bd-9fedb5fxxxxx",
    "accountId": "65f7d49a5dd06e2cefaxxxxx",
    "createdBy": "u-cc6ebd6c-656c-5364-abfc-ad5f80exxxxx",
    "createdByAId": "a-6c63a33-c2a7-49e8-a5ab-82449c8xxxxx",
    "address": [],
    "twitterDetails": [],
    "createdAt": "2026-01-09T05:20:39.374Z",
    "updatedAt": "2026-01-09T09:19:37.307Z",
    "id": "69609027c1746a61429xxxxx"
}

Response Parameters

ParameterDescriptionType
firstNameContact’s first name.string
lastNameContact’s last name.string
fullNameContact’s full name.string
salutationSalutation or title of the contact.string
cellPhoneMobile details of the contact.object
cellPhone.extensionDialing prefix.string
cellPhone.phoneNumberContact’s mobile phone number.string
cellPhone.countryCodeCountry calling code associated with the phone number.string
statusCurrent status of the contact. For example, inactive.string
instanceBotIdUnique identifier of the associated bot instance.string
orgIdUnique identifier of the organization.string
accountIdUnique identifier of the account.string
createdByUnique identifier of the user who created the contact.string
createdByAIdUnique identifier of the application that created the record.string
addressList of addresses associated with the contact.array of objects
twitterDetailsList of Twitter profile details associated with the contact.array of objects
createdAtTimestamp indicating when the contact was created.string (ISO 8601 Date-Time)
updatedAtTimestamp indicating when the contact was last updated.string (ISO 8601 Date-Time)
idUnique identifier of the contact record.string